<?php
require_once('include/bittorrent.php');

session_start();

ob_start();

dbconn(false);

$action = $_GET['action'];

loggedinorreturn();

function getBonusAll(){
    $ret = false;
    $sql = "SELECT * FROM bonus ORDER BY id";
    $qry = mysql_query($sql);
    while($a = mysql_fetch_assoc($qry)){
        $ret[] = $a;
    } // while

    return $ret;
}

function getSeedBonus($user_id) {
    $ret = 0;
    $user_id = intval($user_id);
    if ($user_id) {
        $sql = "SELECT seedbonus FROM users WHERE id=$user_id";
        $qry = mysql_query($sql);
        $a = mysql_fetch_assoc($qry);
        $ret = $a["seedbonus"];
    }

    return $ret;
}

$bonus_all = getBonusAll();
$seedbonus = getSeedBonus($CURUSER['id']);

stdhead();
?>

<table align=center width=600 border="0" cellspacing="0" cellpadding="5">
<tr><td class=tabletitle width=600>Seeder Bonus</td></tr></table>
<table class=tableb align=center width=600 border="0" cellspacing="0" cellpadding="5">
<tr><td align=center>
Hier kannst Du Deinen Seedbonus einwechseln!!<br />

Aktuell hast Du <b><?=round($seedbonus, 4)?> Punkte</b><br />
<small>Wenn ein Button deaktiviert ist, fehlen Dir die Punkte.</small><br /><br />

<?
if (isset($_GET["msg"])) {
    echo "<div align=\"center\" style=\"color: red\">";
    switch($_GET["msg"]) {
        case 1:
            echo "Deine Sitzung ist abgelaufen!";
            break;

        case 2:
            echo "Ungültiger Bonus!";
            break;

        case 3:
            echo "Du hast nicht genug Seedbonus!";
            break;

        case 4:
            $msg = explode("|", $_GET["msg"]);
            echo "Du hast ".$msg[1]." bekommen!";
            break;
        default:
            echo "Es gab einen Fehler!!";
            break;
    }
    echo "</div><br /><br />";
}
?>


<form action="takemybonus.php" method="POST">
<input type="hidden" name="<?=session_name()?>" value="<?=session_id()?>" />
<table border=0 cellspacing=2 cellpadding=5 width=500 style="border: 1px solid black">
    <tr>
        <td class=tabletitle align=left>Option</td>
        <td class=tabletitle align=left>Was bekomm ich?</td>
        <td class=tabletitle align=left>Punkte</td>
        <td class=tabletitle align=center>Einwechseln</td>
    </tr>
<?
foreach($bonus_all as $bonus){
    ?>
    <tr class=tableb style="border-bottom: 1px solid black">
        <td><?=$bonus["id"]?></td>
        <td align='left'><b><?=$bonus["bonusname"]?></b></td>
        <td align='right'><?=$bonus["points"]?></td>
        <td align="center">
    <?

    if($seedbonus >= $bonus["points"]) {
        echo "<input type=submit value=\"Einwechseln!\" name=\"takebonus[$bonus[id]]\">";
    }
    else {
        echo "<input type=button value=\"Nicht möglich!\" disabled>";
    }
    ?>
        </td>
    </tr>
    <?
}
?>
</table>
</form>
<br><br><br>
<blockquote><p align=left><b>Für was bekomm ich Punkte gutgeschrieben?</b><br>
Du bekommst für jede Stunde, die du als Seeder vom Tracker registriert bist, 1 Punkt.
</p></blockquote>

<p><strong>ACHTUNG!!!</strong></p>
<u>Nach dem Einwechseln</u> musst Du Dich aus- und einlogen,<br>
alsdann wird Dir Dein neuer Uploadwert angezeigt ;) </td>
</tr>


<tr><td><a href="userdetails.php?id=<?=$CURUSER['id']?>">Zurück in dein Profil</a></td></tr>

</table>